% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ImportanceIndice-package.R
\docType{package}
\name{ImportanceIndice package}
\alias{ImportanceIndice package}
\alias{ImportanceIndice}
\title{Analyzing data through of percentage of importance indice and its derivations}
\description{
The Percentage of Importance Indice (Percentage_I.I.) bases in magnitudes, frequencies,
and distributions of occurrence of an event. This index can detect the key loss sources (L.S)
 and solution sources (S.S.), classifying them according to their importance in terms of
 loss or income gain, on the productive system. The
 Percentage_I.I. = ((ks1 x c1 x ds1)/SUM(ks1 x c1 x ds1) + (ks2 x c2 x ds2) + (ksn x cn x dsn)) x 100.
 key source (ks) is obtained using simple regression analysis and magnitude (abundance). Constancy (c)
 is SUM of occurrence of L.S. or S.S. on the samples (absence = 0 or presence = 1),
  and distribution source (ds) is obtained using chi-square test.
  This index has derivations: i.e., i) Loss estimates and solutions effectiveness and
  ii) Attention and non-attention levels.
}
\references{
DEMOLIN-LEITE, G.L., 2021. Importance indice: loss estimates and solution effectiveness
  on production. Cuban Journal of Agricultural Science, vol. 55, no. 2, pp. 1-7.
  <http://scielo.sld.cu/pdf/cjas/v55n2/2079-3480-cjas-55-02-e10.pdf>

  DEMOLIN-LEITE, G.L., 2024. Do arthropods and diseases affect the production of
  fruits on Caryocar brasiliense Camb. (Malpighiales: Caryocaraceae)?
  Brazilian Journal of Biology, vol. 84, pp. e253215. <https://doi.org/10.1590/1519-6984.253215>
}
\author{
Germano Leao Demolin-Leite (Instituto de Ciencias Agrarias da UFMG) \cr
Alcinei Mistico Azevedo (Instituto de Ciencias Agrarias da UFMG)
}
